Bug 122827 - UI doesn't respond for a while when selecting all cells in calc & pressing F7 (Spelling)
Summary: UI doesn't respond for a while when selecting all cells in calc & pressing F7...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0
Keywords: perf
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2019-01-20 11:19 UTC by Telesto
Modified: 2022-03-07 08:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2019-01-20 11:19:13 UTC
Description:
UIdoesn't respond when selecting all cells in calc & pressing F7 (Spelling)

Steps to Reproduce:
1. open Calc
2. CTRL+A
3. F7

Actual Results:
Small hang

Expected Results:
Dialog shouldn't be behave this way.. Preferably hang


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.3.0.0.alpha0+
Build ID: 6740443311268b7d918bf4f43134d64fb78a0109
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-01-15_23:37:04
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Durgapriyanka 2019-01-22 16:15:34 UTC
Thank you for reporting the bug. I can reproduce this in

Version: 6.3.0.0.alpha0+
Build ID: 3c964980da07892a02d5ac721d80558c459532d0
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-12-12_02:07:45
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 2 Buovjaga 2019-01-27 16:19:08 UTC
Repro in 3.3.0 on Win 10
Comment 3 QA Administrators 2021-01-27 04:28:16 UTC Comment hidden (obsolete)
Comment 4 Commit Notification 2022-03-06 18:43:39 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/94960bb3357bc443453e4cea2329f34cc7e80196

don't try to spellcheck after last data cell (tdf#122827)

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Buovjaga 2022-03-07 08:13:32 UTC
Verified

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 66a9795f27fda887d9f66d0d8bb196fd636fe452
CPU threads: 8; OS: Linux 5.16; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded